ZFS-DESTROY(8)

NAME
zfs-destroy - destroy ZFS dataset, snapshots, or bookmark

SYNOPSIS
zfs destroy [-Rfnprv] filesystem|volume
zfs destroy [-Rdnprv] filesystem|volume@snap [%snap[,snap[%snap]]]…
zfs destroy filesystem|volume#bookmark

DESCRIPTION

    zfs destroy [-Rfnprv] filesystem|volume Destroys the given dataset. By default, the command unshares any file systems that are currently shared, unmounts any file systems that are currently mounted, and refuses to destroy a dataset that has active dependents (children or clones).

    -R  Recursively destroy all dependents, including cloned file systems outside the target hierarchy.

    -f  Forcibly unmount file systems. This option has no effect on non-file systems or unmounted file systems.

    -n  Do a dry-run ("No-op") deletion. No data will be deleted. This is useful in conjunction with the -v or -p flags to determine what data would be deleted.

    -p  Print machine-parsable verbose information about the deleted data.

    -r  Recursively destroy all children.

    -v  Print verbose information about the deleted data.

    Extreme care should be taken when applying either the -r or the -R options, as they can destroy large portions of a pool and cause unexpected behavior for mounted file systems in use.

    zfs destroy [-Rdnprv] filesystem|volume@snap [%snap[,snap[%snap]]]… The given snapshots are destroyed immediately if and only if the zfs destroy command without the -d option would have destroyed it. Such immediate destruction would occur, for example, if the snapshot had no clones and the user-initiated reference count were zero.

    If a snapshot does not qualify for immediate destruction, it is marked for deferred deletion. In this state, it exists as a usable, visible snapshot until both of the preconditions listed above are met, at which point it is destroyed.

    An inclusive range of snapshots may be specified by separating the first and last snapshots with a percent sign. The first and/or last snapshots may be left blank, in which case the filesystem's oldest or newest snapshot will be implied.

    Multiple snapshots (or ranges of snapshots) of the same filesystem or volume may be specified in a comma-separated list of snapshots. Only the snapshot's short name (the part after the @) should be specified when using a range or comma-separated list to identify multiple snapshots.

    -R  Recursively destroy all clones of these snapshots, including the clones, snapshots, and children. If this flag is specified, the -d flag will have no effect.

    -d  Destroy immediately. If a snapshot cannot be destroyed now, mark it for deferred destruction.

    -n  Do a dry-run ("No-op") deletion. No data will be deleted. This is useful in conjunction with the -p or -v flags to determine what data would be deleted.

    -p  Print machine-parsable verbose information about the deleted data.

    -r  Destroy (or mark for deferred deletion) all snapshots with this name in descendent file systems.

    -v  Print verbose information about the deleted data.

        Extreme care should be taken when applying either the -r or the -R options, as they can destroy large portions of a pool and cause unexpected behavior for mounted file systems in use.

    zfs destroy filesystem|volume#bookmark The given bookmark is destroyed.

SEE ALSO
zfs-create(8), zfs-hold(8)